////////////////////////////////////////////////////////
// Environment Mapping Bump Mapping Water
//
// Version 2
//
// Eric Hendrickson-Lambert (Steempipe)
//
////////////////////////////////////////////////////////

matrix matMtl;
     
texture mtlSkin1;
texture mtlSkin2;

technique makewater2
{
	pass p0
	{
		AlphaBlendEnable=false;  
		Zenable = True;
		ZwriteEnable = True;

		BlendOp=Add;
		Lighting=True;

		Texture[0] = <mtlSkin1>;
		Texture[1] = <mtlSkin2>;
		
		magFilter[0] = linear;
		minFilter[0] = linear;
		mipFilter[0] = linear;
		
		COLOROP[0] = BumpEnvMap;
		COLORARG1[0] = Texture;
		COLORARG2[0] = Current;
		
		TexCoordIndex[0] = 1;
		TextureTransformFlags[0] = Count2;
		TextureTransform[0] = <matMtl>;
		
		
		magFilter[1] = Linear;
		minFilter[1] = Linear;
		mipFilter[1] = Linear;
		
		AddressU[1] = Clamp;
		AddressV[1] = Clamp;
		
		ColorOp[1] = Modulate;	//Modulate/AddSigned/Modulate2x/Modulate4x/Add <----------This looks all okay
		ColorArg1[1] = Texture;
		ColorArg2[1] = Current;
		
		texcoordindex[1] = cameraspaceposition | 1;    // For cubemap use: cameraspacereflectionvector
		TextureTransformFlags[1] = count3 | projected;
		TextureTransform[1] = {
				0.8, 0.0, 0.0, 0.0,//u-scale of lake rgb texture CHANGE THIS TO YOUR NEEDS!
				0.0, 1.0, 0.0, 0.0,//v-scale of lake rgb texture CHANGE THIS TO YOUR NEEDS!
				0.0, 0.0, 1.0, 0.0,
				0.0, 0.0, 0.0, 1.0
			};
	}
}

//technique fallback { pass p0 { } }