//use Render2Texture Dll by ChrisB
plugindir "Plugins";
dllfunction r2T_eventSky(); 
dllfunction r2T_eventEntities(); 
render_sky = r2T_eventSky;
render_entities = r2T_eventEntities;
//

bmap waterbump = <waves2.tga>;
//bmap envspec = <sky.tga>;

function mtl_ffpwater_event();

material mtl_ffpwater
 {
   skin1=waterbump;
//   skin2=envspec;

   event = mtl_ffpwater_event;
   effect = "water.fx";
}

function mtl_ffpwater_event()
{
	while(1)
	{
		//Lets make it scroll in some direction
		mtl_ffpwater.skill1 += 0.1*time_step;	//Move the water along the x axis with the given speed
		mtl_ffpwater.skill2 += 0.1*time_step; //Move the water along the y axis with the given speed
		mtl_ffpwater.matrix31 = floatd(sin(mtl_ffpwater.skill1)*100000,40000);
		mtl_ffpwater.matrix32 = floatd(cos(mtl_ffpwater.skill2)*100000,40000);
		wait(1);
	}
}

VIEW view_mirror { layer = -1; };	// render mirror view before camera view
BMAP* bmap_mirrortarget;
//panel rtt{flags = visible;}

function fx_mirror()
{
// do nothing if mirror is already running
	if (bmap_mirrortarget) { return; }

	bmap_mirrortarget = bmap_createblack(512,512,888);
	mtl_ffpwater.skin2 = bmap_mirrortarget;
	view_mirror.bmap = bmap_mirrortarget;
	view_mirror.size_x = bmap_width(bmap_mirrortarget);
	view_mirror.size_y = bmap_height(bmap_mirrortarget);
//	rtt.bmap = bmap_mirrortarget;
	
//	vec_set(view_mirror.portal_x,my.x);
//	vec_add(view_mirror.portal_x,vector(0,0,0));
//	vec_set(view_mirror.pnormal_x,vector(0,0,1.0));	// reflect upwards
//	view_mirror.portalclip = on; // clip at portal plane

	view_mirror.noshadow = on;	// suppress shadows in the mirror
//	view_mirror.nocull = on;    // view through walls
	view_mirror.noparticle = on;
//	view_mirror.noshader = on;
	
	view_mirror.visible = on;

	while (bmap_mirrortarget)
	{
		proc_late();	// camera must be moved and mtlfx_mirrorvisible set before
		
//		view_mirror.aspect = 1;//1024/768; // screen aspect, independent of render target
		view_mirror.arc    = camera.arc;
		view_mirror.fog_start = camera.fog_start;
		view_mirror.fog_end   = camera.fog_end;
		view_mirror.clip_far  = camera.clip_far;
		view_mirror.clip_near = camera.clip_near;
		view_mirror.x 	   = camera.x;
		view_mirror.y 	   = camera.y;
		view_mirror.z 	   = 2*my.z-camera.z;//view_mirror.portal_z-camera.z;	// move the camera at its mirror position
		view_mirror.pan    = camera.pan;
		view_mirror.tilt   = -camera.tilt;	// flip the vertical camera angle
		view_mirror.roll   = -camera.roll;
		
		wait(1);
	}
}

action Water
{
	mtl_ffpwater.matrix11 = float(100);	//Tilefactor of the Bumpmap in x direction
	mtl_ffpwater.matrix22 = float(100); //Tilefactor of the Bumpmap in y direction

	bmap_to_mipmap(mtl_ffpwater.skin1);
//	bmap_to_mipmap(mtl_ffpwater.skin2);

	my.material = mtl_ffpwater;
	fx_mirror();
}